#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libsecret
Version		:	0.20.5
Release		:	14.8.0.0%{?dist}
Summary		:	GObject based library for accessing the Secret Service API.
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://developer.gnome.org/libsecret/
#			https://gitlab.gnome.org/GNOME/libsecret/tags

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	glib-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	libgcrypt
BuildRequires	:	vala

Requires	:	glib-devel
Requires(post)	:	%{_bindir}/glib-compile-schemas
#-----------------------------------------------------------------------------
%description
'%{name}' is a library for storing and retrieving passwords
and other secrets. It communicates with the "Secret Service"
using DBus.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING NEWS README.md
%{_bindir}/secret-tool
%{_includedir}/%{name}-1/%{name}/secret*.h
%{_libdir}/%{name}-1.so*
%{_libdir}/pkgconfig/%{name}-1.pc
%{_libdir}/pkgconfig/%{name}-unstable.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
#{_datadir}/gtk-doc/html/%{name}-1/*.{html,png}
#{_datadir}/gtk-doc/html/%{name}-1/style.css
#{_datadir}/gtk-doc/html/%{name}-1/%{name}-1.devhelp2
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/vala/vapi/%{name}-1.{deps,vapi}
%{_mandir}/man1/secret-tool.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
        --prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
	--buildtype=release				\
	-D gtk_doc=false 				\
	build

ninja							\
	-C build


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}                                    \
        ninja                                           \
        -C build                                        \
        install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog

